Skip to content
Browse files

Don't require c extension development dependencies for JRuby

  • Loading branch information...
1 parent 6eb8293 commit 67372ed4ac22a2cd27957d3db15cfaf15197b8b8 @atambo committed Feb 25, 2012
Showing with 6 additions and 3 deletions.
  1. +6 −3 execjs.gemspec
View
9 execjs.gemspec
@@ -14,10 +14,13 @@ Gem::Specification.new do |s|
s.files = Dir["README.md", "LICENSE", "lib/**/*"]
s.add_dependency "multi_json", "~>1.0"
- s.add_development_dependency "johnson"
- s.add_development_dependency "mustang"
+
+ unless defined?(JRUBY_VERSION)
+ s.add_development_dependency "johnson"
+ s.add_development_dependency "mustang"
+ s.add_development_dependency "therubyracer"
+ end
s.add_development_dependency "rake"
- s.add_development_dependency "therubyracer"
s.add_development_dependency "therubyrhino"
s.authors = ["Sam Stephenson", "Josh Peek"]

0 comments on commit 67372ed

Please sign in to comment.
Something went wrong with that request. Please try again.